services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannFaq\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannFaq\Controller\FaqController:
    arguments:
      $faqService: '@WebitDe\DrbeckmannFaq\Service\FaqService'

  extbaseSettings.DrbeckmannFaq.Faq:
    class: 'array'
    factory:
      - '@TYPO3\CMS\Extbase\Configuration\ConfigurationManager'
      - 'getConfiguration'
    arguments:
      $configurationType: 'Settings'
      $extensionName: 'DrbeckmannFaq'
      $pluginName: 'Faq'

  WebitDe\DrbeckmannFaq\Service\FaqService:
    arguments:
      $faqRepository: '@WebitDe\DrbeckmannFaq\Domain\Repository\FaqRepository'
      $categoryRepository: '@WebitDe\DrbeckmannCategories\Domain\Repository\CategoryRepository'
      $settings: '@extbaseSettings.DrbeckmannFaq.Faq'
